SSIEcho (Apache Tomcat 11.0.23 API Documentation)
Description: declaration: package: org.apache.catalina.ssi, class: SSIEcho

# Class SSIEcho

java.lang.Object
org.apache.catalina.ssi.SSIEcho

All Implemented Interfaces:
  `SSICommand`

public class SSIEcho extends Object implements SSICommand
Return the result associated with the supplied Server Variable. Implements the Server-side #echo command.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final String`
  `DEFAULT_ENCODING`
  Default encoding for echo output.
  `protected static final String`
  `MISSING_VARIABLE_VALUE`
  Value returned when a requested variable is not found.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SSIEcho()`
  Default constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `isValidEncoding(String encoding)`
  Checks if the given encoding name is one of the supported encodings.
  `long`
  `process(SSIMediator ssiMediator, String commandName, String[] paramNames, String[] paramValues, PrintWriter writer)`
  Processes the echo directive to output the value of a server variable.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_ENCODING

    protected static final String DEFAULT_ENCODING
    Default encoding for echo output.
    See Also:
      - Constant Field Values

  - ### MISSING_VARIABLE_VALUE

    protected static final String MISSING_VARIABLE_VALUE
    Value returned when a requested variable is not found.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SSIEcho

    public SSIEcho()
    Default constructor.

- ## Method Details

  - ### process

    public long process(SSIMediator ssiMediator, String commandName, String[] paramNames, String[] paramValues, PrintWriter writer)
    Processes the echo directive to output the value of a server variable.
    Specified by:
      `process` in interface `SSICommand`
    Parameters:
      `ssiMediator` - the ssi mediator
      `commandName` - the name of the actual command ( ie. echo )
      `paramNames` - The parameter names
      `paramValues` - The parameter values
      `writer` - the writer to output to
    Returns:
      the most current modified date resulting from any SSI commands

  - ### isValidEncoding

    protected boolean isValidEncoding(String encoding)
    Checks if the given encoding name is one of the supported encodings.
    Parameters:
      `encoding` - the encoding name to check
    Returns:
      true if the encoding is valid